Bug 637956 - rpmlint's "python-bytecode-without-source" has false failures with Python 3.2 (PEP 3147)
rpmlint's "python-bytecode-without-source" has false failures with Python 3.2...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-27 16:50 EDT by Dave Malcolm
Modified: 2010-11-10 16:49 EST (History)
3 users (show)

See Also:
Fixed In Version: rpmlint-1.0-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:49:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Initial attempt at fixing this (1.98 KB, patch)
2010-09-27 17:37 EDT, Dave Malcolm
no flags Details | Diff
Better version of the patch (1.86 KB, patch)
2010-09-27 17:40 EDT, Dave Malcolm
no flags Details | Diff

  None (edit)
Description Dave Malcolm 2010-09-27 16:50:32 EDT
Description of problem:
Python 3.2 moves where Python bytecode (.pyc/.pyo) goes relative to the .py file; this was PEP 3147:
  http://www.python.org/dev/peps/pep-3147/

This leads to false warnings from rpmlint on Python 3.2 extension modules; see e.g.:
https://bugzilla.redhat.com/show_bug.cgi?id=634700#c26

Version-Release number of selected component (if applicable):
rpmlint-0.95-2.fc13.noarch

How reproducible:
100%

Steps to Reproduce:
1. rpmlint on a Python 3.2 module (e.g. the one from but 634700)

 
Actual results:
W: python-bytecode-without-source /usr/lib64/python3.2/site-packages/FOO/__pycache__/__init__.cpython-32.pyo
W: python-bytecode-without-source /usr/lib64/python3.2/site-packages/FOO/__pycache__/__init__.cpython-32.pyc

Expected results:
The above files are correct; there should be no warning
Comment 1 Dave Malcolm 2010-09-27 17:37:51 EDT
Created attachment 450045 [details]
Initial attempt at fixing this

This suppresses the false positive (patch against 0.99 tarball)
Comment 2 Dave Malcolm 2010-09-27 17:40:31 EDT
Created attachment 450046 [details]
Better version of the patch
Comment 3 Ville Skyttä 2010-10-06 14:32:24 EDT
Thanks.  The patch broke non-PEP-3147 source lookup (always returned None even if the source was found), fixed version applied upstream:
http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1808
Comment 4 Fedora Update System 2010-11-01 17:50:41 EDT
rpmlint-1.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rpmlint-1.0-1.fc14
Comment 5 Fedora Update System 2010-11-02 18:15:14 EDT
rpmlint-1.0-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpmlint'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/rpmlint-1.0-1.fc14
Comment 6 Fedora Update System 2010-11-10 16:49:40 EST
rpmlint-1.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.